<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<title>Util1.HC</title>
		<link rel="stylesheet" href="/style/templeos.css">
		<script src="/script/templeos.js" defer></script>
	</head>
	<body class="BG-15 FG-0 ">
		U0 MyUtil(U8 *files_find_mask,U8 *fu_flags=NULL)<br>
{<br>
  I64 fuf_flags=0;<br>
  CDirEntry *tmpde,*tmpde1;<br>
  ScanFlags(&amp;fuf_flags,Define("ST_FILE_UTIL_FLAGS"),"+r+f+F");<br>
  ScanFlags(&amp;fuf_flags,Define("ST_FILE_UTIL_FLAGS"),fu_flags);<br>
  tmpde=tmpde1=FilesFind(files_find_mask,fuf_flags);<br>
  while (tmpde) {<br>
    PutFileLink(tmpde-&gt;full_name);<br>
    '\n';<br>
    tmpde=tmpde-&gt;next;<br>
  }<br>
  DirTreeDel(tmpde1);<br>
}<br>

	</body>
</html>